Bug 1019500 - device factories need to set a default name if empty name given for defined device
device factories need to set a default name if empty name given for defined d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
20
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F20BetaBlocker
  Show dependency treegraph
 
Reported: 2013-10-15 17:27 EDT by David Lehman
Modified: 2013-10-22 01:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.25.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1009941
Environment:
Last Closed: 2013-10-22 01:38:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-15 17:27:15 EDT
+++ This bug was initially created as a clone of Bug #1009941 +++

Description of problem:
When trying to create RAID1 with 3 mount points, /boot, / and swap, all having type RAID1, an exception has occured.

How reproducible:
always

Steps to Reproduce:
1. Start installation
2. Choose manual partitioning
3. Create /boot(500MB), swap(1500MB) and /(rest, size not specified) partitions

Actual results:
Exception has occured.

Expected results:
No exception should occur

--- Additional comment from Vratislav Podzimek on 2013-09-23 15:54:22 EDT ---

13:49:26,105 INFO program: Running... mdadm --create /dev/md/ --run --level=1 --raid-devices=2 --metadata=1.0 --bitmap=internal /dev/vda1 /dev/vdb1
13:49:26,309 INFO program: mdadm: /dev/md/ is an invalid name for an md device (empty!).
13:49:26,311 DEBUG program: Return code: 1

--- Additional comment from David Lehman on 2013-10-01 14:27:11 EDT ---

The user set the name of the md array to "" and instead of setting a reasonable name blivet allowed the array name to be set to the empty string.
Comment 1 David Lehman 2013-10-15 17:34:18 EDT
It's possible to create a setup in custom spoke that always causes a crash when committing the changes.

A patch exists and has been reviewed FWIW.
Comment 2 Tim Flink 2013-10-15 22:42:23 EDT
making this a public bug so it can be discussed as a proposed blocker for f20 beta
Comment 3 Adam Williamson 2013-10-16 06:37:56 EDT
Criterion:

"When using the custom partitioning flow, the installer must be able to: ... Create mount points backed by ext4 partitions, LVM volumes or btrfs volumes, or software RAID arrays at RAID levels 0, 1 and 5 containing ext4 partitions"

https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Custom_partitioning
Comment 4 Adam Williamson 2013-10-16 13:07:51 EDT
Discussed at 2013-10-16 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-10-16/f20beta-blocker-review-4.2013-10-16-16.02.log.txt . Accepted as a blocker under the criterion "When using the custom partitioning flow, the installer must be able to: ... Reject or disallow invalid disk and volume configurations without crashing." - https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Custom_partitioning
Comment 5 Fedora Update System 2013-10-16 20:29:34 EDT
anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-blivet-0.23.1-1.fc20,anaconda-20.25.1-1.fc20
Comment 6 Fedora Update System 2013-10-17 16:31:11 EDT
Package anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.25.1-1.fc20 python-blivet-0.23.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19194/python-blivet-0.23.1-1.fc20,anaconda-20.25.1-1.fc20
then log in and leave karma (feedback).
Comment 7 Kamil Páral 2013-10-21 03:26:47 EDT
Verified fixed with F20 Beta TC5.
Comment 8 Fedora Update System 2013-10-22 01:38:21 EDT
anaconda-20.25.1-1.fc20, python-blivet-0.23.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.